<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Vector.hh File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_vector_8hh.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Vector.hh File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for Vector.hh:</div>
<div class="dyncontent">
<div class="center"><img src="_vector_8hh__incl.png" border="0" usemap="#_vector_8hh" alt=""/></div>
<map name="_vector_8hh" id="_vector_8hh">
<area shape="rect" title=" " alt="" coords="5,5,88,32"/>
<area shape="rect" title=" " alt="" coords="7,80,87,107"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_vector_8hh__dep__incl.png" border="0" usemap="#_vector_8hhdep" alt=""/></div>
<map name="_vector_8hhdep" id="_vector_8hhdep">
<area shape="rect" title=" " alt="" coords="501,5,584,32"/>
<area shape="rect" href="_matrix_8hh.html" title=" " alt="" coords="501,80,585,107"/>
<area shape="rect" href="shape_8hh.html" title=" " alt="" coords="422,155,503,181"/>
<area shape="rect" href="rotation_matrix_8hh.html" title=" " alt="" coords="555,155,690,181"/>
<area shape="rect" href="bottom_surface_8hh.html" title=" " alt="" coords="269,229,408,256"/>
<area shape="rect" href="cuboid_8hh.html" title=" " alt="" coords="560,229,645,256"/>
<area shape="rect" href="obstacles_8hh.html" title=" " alt="" coords="432,229,536,256"/>
<area shape="rect" href="water_surface_8hh.html" title=" " alt="" coords="5,229,133,256"/>
<area shape="rect" href="shape_8cpp.html" title=" " alt="" coords="157,229,245,256"/>
<area shape="rect" href="scene_8hh.html" title=" " alt="" coords="299,379,379,405"/>
<area shape="rect" href="bottom_surface_8cpp.html" title=" " alt="" coords="266,304,411,331"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="243,453,325,480"/>
<area shape="rect" href="scene_8cpp.html" title=" " alt="" coords="350,453,437,480"/>
<area shape="rect" href="drone_8hh.html" title=" " alt="" coords="738,304,817,331"/>
<area shape="rect" href="cuboid_8cpp.html" title=" " alt="" coords="622,304,714,331"/>
<area shape="rect" href="drone_8cpp.html" title=" " alt="" coords="734,379,821,405"/>
<area shape="rect" href="obstacles_8cpp.html" title=" " alt="" coords="487,304,598,331"/>
<area shape="rect" href="water_surface_8cpp.html" title=" " alt="" coords="55,304,190,331"/>
<area shape="rect" href="rotation_matrix_8cpp.html" title=" " alt="" coords="670,229,813,256"/>
</map>
</div>
</div>
<p><a href="_vector_8hh_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vector.html">Vector&lt; T, SIZE &gt;</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a19c17db547a9edb84f3744b46edd4d41"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> = <a class="el" href="class_vector.html">Vector</a>&lt; double, 3 &gt;</td></tr>
<tr class="separator:a19c17db547a9edb84f3744b46edd4d41"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aaa1520c47ad6594c1bcccf172012480a"><td class="memTemplParams" colspan="2">template&lt;typename T , int SIZE&gt; </td></tr>
<tr class="memitem:aaa1520c47ad6594c1bcccf172012480a"><td class="memTemplItemLeft" align="right" valign="top">std::istream &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="_vector_8hh.html#aaa1520c47ad6594c1bcccf172012480a">operator&gt;&gt;</a> (std::istream &amp;strm, <a class="el" href="class_vector.html">Vector</a>&lt; T, SIZE &gt; &amp;vector)</td></tr>
<tr class="separator:aaa1520c47ad6594c1bcccf172012480a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a8398d91c29ac72e27ff9876fe891c2"><td class="memTemplParams" colspan="2">template&lt;typename T , int SIZE&gt; </td></tr>
<tr class="memitem:a9a8398d91c29ac72e27ff9876fe891c2"><td class="memTemplItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="_vector_8hh.html#a9a8398d91c29ac72e27ff9876fe891c2">operator&lt;&lt;</a> (std::ostream &amp;strm, const <a class="el" href="class_vector.html">Vector</a>&lt; T, SIZE &gt; &amp;vector)</td></tr>
<tr class="separator:a9a8398d91c29ac72e27ff9876fe891c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a5c3c37a63ea6742bd21f87b3c482ad4d"><td class="memItemLeft" align="right" valign="top">constexpr double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_vector_8hh.html#a5c3c37a63ea6742bd21f87b3c482ad4d">ERR</a> = 0.0000000001</td></tr>
<tr class="separator:a5c3c37a63ea6742bd21f87b3c482ad4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a19c17db547a9edb84f3744b46edd4d41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19c17db547a9edb84f3744b46edd4d41">&#9670;&nbsp;</a></span>Vector3D</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> =  <a class="el" href="class_vector.html">Vector</a>&lt;double, 3&gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vector_8hh_source.html#l00082">82</a> of file <a class="el" href="_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a9a8398d91c29ac72e27ff9876fe891c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a8398d91c29ac72e27ff9876fe891c2">&#9670;&nbsp;</a></span>operator&lt;&lt;()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::ostream &amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>strm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_vector.html">Vector</a>&lt; T, SIZE &gt; &amp;&#160;</td>
          <td class="paramname"><em>vector</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przeciazenie operatora przesuniecia bitowego w lewo dla wypisywania danych z naszego wektora </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">strm</td><td>- strumien wyjsciowy </td></tr>
    <tr><td class="paramname">vector</td><td>- wektor z ktorego chcemy wypisac dane </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>- strumien wyjsciowy </dd></dl>

<p class="definition">Definition at line <a class="el" href="_vector_8hh_source.html#l00198">198</a> of file <a class="el" href="_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
<a id="aaa1520c47ad6594c1bcccf172012480a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa1520c47ad6594c1bcccf172012480a">&#9670;&nbsp;</a></span>operator&gt;&gt;()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::istream &amp; operator&gt;&gt; </td>
          <td>(</td>
          <td class="paramtype">std::istream &amp;&#160;</td>
          <td class="paramname"><em>strm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_vector.html">Vector</a>&lt; T, SIZE &gt; &amp;&#160;</td>
          <td class="paramname"><em>vector</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przeciazenie operatora przesuniecia bitowego w prawo dla wczytywania danych do wektora </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">strm</td><td>- strumien wejsciowy </td></tr>
    <tr><td class="paramname">vector</td><td>- wektor w ktorym zapiszemy nasze dane </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>- strumien wejsciwy </dd></dl>

<p class="definition">Definition at line <a class="el" href="_vector_8hh_source.html#l00189">189</a> of file <a class="el" href="_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a5c3c37a63ea6742bd21f87b3c482ad4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c3c37a63ea6742bd21f87b3c482ad4d">&#9670;&nbsp;</a></span>ERR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr double ERR = 0.0000000001</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vector_8hh_source.html#l00005">5</a> of file <a class="el" href="_vector_8hh_source.html">Vector.hh</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="_vector_8hh.html">Vector.hh</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
